function printSymmetrySummary(cdef, P)
% print summary of symmetry information
%
% THIS IS NO USER FUNCTION

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2013 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.


disp(' ');
if isfield(cdef, 'sym')
    disp('The crystal symmetry is defined by:');
    if isfield(cdef.sym, 'defined')
        disp(['  Schönflies Notation      : ' P{1, cdef.sym.defined}]);
        disp(['  Hermann-Mauguin Notation : ' P{2, cdef.sym.defined}]);
        %disp(['  All symmetry elements    : ' P{3, cdef.sym.defined}]);
        disp(['  Laue Class               : ' P{4, cdef.sym.defined}]);
        disp(['  Crystal system           : ' P{5, cdef.sym.defined}]);
        disp(['  Trivialname (German)     : ' P{7, cdef.sym.defined}]);
    elseif isfield(cdef.sym, 'system')
        disp(['  Crystal system: ' cdef.sym.system]);
        disp(['Please extend the definition of crystal symmetry' ...
            ' using crystal family is not sufficient, but let''s' ...
            ' you define the lattice parameters']);
    end
else
    disp('Crystal symmetry is not undefined');
end